## InfGtkAclSheetView

InfGtkAclSheetView — A widget showing a InfAclSheet

## Stability Level

Unstable, unless otherwise indicated

## Functions

GtkWidget * | inf_gtk_acl_sheet_view_new ()
void | inf_gtk_acl_sheet_view_set_sheet ()
const InfAclSheet * | inf_gtk_acl_sheet_view_get_sheet ()
void | inf_gtk_acl_sheet_view_set_editable ()
gboolean | inf_gtk_acl_sheet_view_get_editable ()
void | inf_gtk_acl_sheet_view_set_show_default ()
gboolean | inf_gtk_acl_sheet_view_get_show_default ()
void | inf_gtk_acl_sheet_view_set_permission_mask ()
const InfAclMask * | inf_gtk_acl_sheet_view_get_permission_mask ()

## Properties

gboolean | editable | Read / Write / Construct
InfAclMask * | permission-mask | Read / Write
InfAclSheet * | sheet | Read / Write / Construct
gboolean | show-default | Read / Write

## Signals

void | sheet-changed | Run Last

## Types and Values

struct | InfGtkAclSheetView
struct | InfGtkAclSheetViewClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkGrid
                        ╰── InfGtkAclSheetView

## Implemented Interfaces

InfGtkAclSheetView implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <libinfgtk/inf-gtk-acl-sheet-view.h>

## Description

InfGtkAclSheetView is a widget that can show a InfAclSheet in the user interface. Optionally, it also allows the user to edit the sheet.

## Functions

### inf_gtk_acl_sheet_view_new ()

    GtkWidget *
    inf_gtk_acl_sheet_view_new (void);

Creates a new InfGtkAclSheetView. To show a sheet in the view, call `inf_gtk_acl_sheet_view_set_sheet()`.

[constructor]

#### Returns

A new InfGtkAclSheetView.

[transfer full]

### inf_gtk_acl_sheet_view_set_sheet ()

    void
    inf_gtk_acl_sheet_view_set_sheet (InfGtkAclSheetView *view,
                                      const InfAclSheet *sheet);

Sets the `sheet` to be displayed by `view` .

#### Parameters

view | A InfGtkAclSheetView. |
sheet | The InfAclSheet to show, or `NULL`. | [allow-none]

### inf_gtk_acl_sheet_view_get_sheet ()

    const InfAclSheet *
    inf_gtk_acl_sheet_view_get_sheet (InfGtkAclSheetView *view);

Returns the sheet that is currently being displayed by `view` , or `NULL` if there is no sheet displayed.

#### Parameters

view | A InfGtkAclSheetView. |

#### Returns

A InfAclSheet owned by `view` , or `NULL`.

[transfer none][allow-none]

### inf_gtk_acl_sheet_view_set_editable ()

    void
    inf_gtk_acl_sheet_view_set_editable (InfGtkAclSheetView *view,
                                         gboolean editable);

Sets whether the sheet being displayed by `view` can be edited by the user or not.

#### Parameters

view | A InfGtkAclSheetView. |
editable | Whether to make the sheet editable or not. |

### inf_gtk_acl_sheet_view_get_editable ()

    gboolean
    inf_gtk_acl_sheet_view_get_editable (InfGtkAclSheetView *view);

Returns whether the sheet being displayed by `view` can be edited by the user or not.

#### Parameters

view | A InfGtkAclSheetView. |

#### Returns

`TRUE` when the sheet can be edited or `FALSE` otherwise.

### inf_gtk_acl_sheet_view_set_show_default ()

    void
    inf_gtk_acl_sheet_view_set_show_default
                                   (InfGtkAclSheetView *view,
                                    gboolean show);

Specifies whether the "default" column is shown, and whether it is allowed to change certain permissions to the default value or not. The ACL sheet for the default account of a directory's root node is not allowed to have default permissions. In this case this function should be called to hide the default column from the user interface.

#### Parameters

view | A InfGtkAclSheetView. |
show | Whether to show the default column. |

### inf_gtk_acl_sheet_view_get_show_default ()

    gboolean
    inf_gtk_acl_sheet_view_get_show_default
                                   (InfGtkAclSheetView *view);

Returns whether the "default" column is shown.

#### Parameters

view | A InfGtkAclSheetView. |

#### Returns

`TRUE` if the "default" column is shown or `FALSE` otherwise.

### inf_gtk_acl_sheet_view_set_permission_mask ()

    void
    inf_gtk_acl_sheet_view_set_permission_mask
                                   (InfGtkAclSheetView *view,
                                    const InfAclMask *mask);

Sets which permissions of the sheet to show. Only the permissions that are enabled in `mask` ar being shown. By default all permissions are shown.

#### Parameters

view | A InfGtkAclSheetView. |
mask | A InfAclMask with the permissions to show. |

### inf_gtk_acl_sheet_view_get_permission_mask ()

    const InfAclMask *
    inf_gtk_acl_sheet_view_get_permission_mask
                                   (InfGtkAclSheetView *view);

Returns a InfAclMask specifies which permissions are currently being shown by `view` .

#### Parameters

view | A InfGtkAclSheetView. |

#### Returns

A InfAclMask owned by `view` . It must not be freed.

[transfer none]

## Types and Values

### struct InfGtkAclSheetView

    struct InfGtkAclSheetView;

InfGtkAclSheetView is an opaque data type. You should only access it via the public API functions.

### struct InfGtkAclSheetViewClass

    struct InfGtkAclSheetViewClass {
      void (*sheet_changed)(InfGtkAclSheetView* view);
    };

This structure contains the default signal handlers for the InfGtkAclSheetView class.

#### Members

`sheet_changed` () | Default signal handler for the “sheet-changed” signal. |

## Property Details

### The `“editable”` property

      “editable”                 gboolean

Whether the sheet can be edited by the user or not.

Owner: InfGtkAclSheetView

Flags: Read / Write / Construct

Default value: FALSE

### The `“permission-mask”` property

      “permission-mask”          InfAclMask *

Specifies which permissions to show in the sheet view.

Owner: InfGtkAclSheetView

Flags: Read / Write

### The `“sheet”` property

      “sheet”                    InfAclSheet *

The ACL sheet the widget is displaying.

Owner: InfGtkAclSheetView

Flags: Read / Write / Construct

### The `“show-default”` property

      “show-default”             gboolean

Whether to show the "default" column.

Owner: InfGtkAclSheetView

Flags: Read / Write

Default value: TRUE

## Signal Details

### The `“sheet-changed”` signal

    void
    user_function (InfGtkAclSheetView *view,
                   gpointer            user_data)

This signal is emitted when the InfAclSheet displayed by `view` was changed by the user.

#### Parameters

view | The InfGtkAclSheetView that emitted the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last